<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class care_month_entries_SINGLE_Controller extends Controller
{
    public $selfName = 'care_month_entries_SINGLE_Controller';

	// GET /care_month_entries/view/{uid}/ACTION_updateContent
	public function ACTION_updateContent(Request $request, $uid) {
		$record = DB::table('care_month_entry')->where('uid', $uid)->first();
		return view('pro/care_month_entries_SINGLE/ACTION_updateContent', compact('record'));
	}

	// GET /care_month_entries/view/{uid}/ACTION_updateTiming
	public function ACTION_updateTiming(Request $request, $uid) {
		$record = DB::table('care_month_entry')->where('uid', $uid)->first();
		return view('pro/care_month_entries_SINGLE/ACTION_updateTiming', compact('record'));
	}

	// GET /care_month_entries/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('care_month_entry')->where('uid', $uid)->first();
		return view('pro/care_month_entries_SINGLE/SUB_dashboard', compact('record'));
	}
}
